Debian Bug report logs - #363047
qemu: Linux guest hangs on IDE detection

version graph

Package: qemu; Maintainer for qemu is Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>; Source for qemu is src:qemu.

Reported by: Frodo Looijaard <frodol@dds.nl>

Date: Mon, 17 Apr 2006 10:48:14 UTC

Severity: normal

Found in version qemu/0.8.0-3

Fixed in version 0.9.1-1

Done: Aurelien Jarno <aurelien@aurel32.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>:
Bug#363047; Package qemu. Full text and rfc822 format available.

Acknowledgement sent to Frodo Looijaard <frodol@dds.nl>:
New Bug report received and forwarded. Copy sent to Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frodo Looijaard <frodol@dds.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: qemu: Linux guest hangs on IDE detection
Date: Mon, 17 Apr 2006 12:45:44 +0200
[Message part 1 (text/plain, inline)]
Package: qemu
Version: 0.8.0-3
Severity: normal

I have been trying to run Fedora Core 5 or 3 within Qemu. It always
hangs after detecting the first harddisk. Compiling Qemu from source
with either gcc-3.3 or gcc-3.4 does not solve the problem, but the
pre-compiled i386 archive from http://fabrice.bellard.free.fr/qemu/download.html
works correctly.

If I add 'ide0=noprobe ide1=noprobe ide2=noprobe ide3=noprobe
ide4=noprobe ide5=noprobe' to the kernel line then it continues, so it seems 
the problem is in the IDE detection.

I am starting Qemu as follows:
	qemu -hda /srv/storage/sysimg/erebor-hda.image \
             -cdrom /srv/storage/iso/fedora-3/FC3-i386-DVD.iso -boot d

See also the attached screenshot.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.14-arda.7.1
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages qemu depends on:
ii  bochsbios                     2.2.6-2    BIOS for the Bochs emulator
ii  libc6                         2.3.6-7    GNU C Library: Shared libraries
ii  libsdl1.2debian               1.2.9-5+b1 Simple DirectMedia Layer
ii  openhackware                  0.4.1-2    OpenFirmware emulator for PowerPC
ii  proll                         18-1       JavaStation PROM 2.x compatible re
ii  vgabios                       0.5d-1     VGA BIOS software for the Bochs an
ii  zlib1g                        1:1.2.3-11 compression library - runtime

Versions of packages qemu recommends:
ii  debootstrap                   0.3.3      Bootstrap a basic Debian system
ii  sharutils                     1:4.2.1-15 shar, unshar, uuencode, uudecode

-- no debconf information
[qemu-screen.png (image/png, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>:
Bug#363047; Package qemu. Full text and rfc822 format available.

Acknowledgement sent to Frodo Looijaard <frodo@frodo.looijaard.name>:
Extra info received and forwarded to list. Copy sent to Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 363047@bugs.debian.org (full text, mbox):

From: Frodo Looijaard <frodo@frodo.looijaard.name>
To: 363047@bugs.debian.org
Subject: Some more information
Date: Tue, 18 Apr 2006 17:17:12 +0200
Current qemu CVS (checkout done today, 20060418) also hangs (compiled
from source).

qemu-0.7.0 works correctly (compiled from source).

Like mentioned in the bug report, the precompiled qemu-0.8.0 on the Qemu
site also works correctly.

-- 
Frodo Looijaard <frodo@frodo.looijaard.name> (See http://frodo.looijaard.name/)
Defenestration n. (formal or joc.):
  The act of removing Windows from your computer in disgust, usually followed
  by the installation of Linux or some other Unix-like operating system.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>:
Bug#363047; Package qemu. Full text and rfc822 format available.

Acknowledgement sent to Frodo Looijaard <frodo@frodo.looijaard.name>:
Extra info received and forwarded to list. Copy sent to Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 363047@bugs.debian.org (full text, mbox):

From: Frodo Looijaard <frodo@frodo.looijaard.name>
To: 363047@bugs.debian.org
Subject: Bochs bios seems to cause this
Date: Thu, 20 Apr 2006 22:57:17 +0200
It seems this problem is caused by the Bochs bios
(/usr/share/qemu/bios.bin -> ../bochs/BIOS-bochs-latest). Fedora boots
without problem if I replace this file with the one from the binary qemu
distribution from the Qemu site.

-- 
Frodo Looijaard <frodo@frodo.looijaard.name> (See http://frodo.looijaard.name/)
Defenestration n. (formal or joc.):
  The act of removing Windows from your computer in disgust, usually followed
  by the installation of Linux or some other Unix-like operating system.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>:
Bug#363047; Package qemu. Full text and rfc822 format available.

Acknowledgement sent to Frodo Looijaard <frodo@frodo.looijaard.name>:
Extra info received and forwarded to list. Copy sent to Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 363047@bugs.debian.org (full text, mbox):

From: Frodo Looijaard <frodo@frodo.looijaard.name>
To: 363047@bugs.debian.org
Subject: Bochs 2.2.1 works
Date: Thu, 20 Apr 2006 23:40:29 +0200
It seems that the BIOS-bochs-latest from Bochs 2.2.1 works, while those
from 2.2.5 and 2.2.6 hang on the IDE detection.

Not sure whether this is a Bochs problem or a Qemu problem. For now, I
will keep it assigned to Qemu.

-- 
Frodo Looijaard <frodo@frodo.looijaard.name> (See http://frodo.looijaard.name/)
Defenestration n. (formal or joc.):
  The act of removing Windows from your computer in disgust, usually followed
  by the installation of Linux or some other Unix-like operating system.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>:
Bug#363047; Package qemu. Full text and rfc822 format available.

Acknowledgement sent to Frodo Looijaard <frodo@frodo.looijaard.name>:
Extra info received and forwarded to list. Copy sent to Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 363047@bugs.debian.org (full text, mbox):

From: Frodo Looijaard <frodo@frodo.looijaard.name>
To: 363047@bugs.debian.org
Subject: Bochs APM Bios
Date: Fri, 21 Apr 2006 13:19:46 +0200
It seems the problem is introduced between CVS revisions 1.3 and 1.4 of
apmbios.S in Bochs.

If you boot Linux with apm=off the problem also goes away.

The diff between these versions is really small:

RCS file: /cvsroot/bochs/bochs/bios/apmbios.S,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- apmbios.S   24 Oct 2005 11:11:36 -0000      1.3
+++ apmbios.S   26 Dec 2005 10:35:51 -0000      1.4
@@ -217,7 +217,15 @@
 ; APM interface disconnect
 APMSYM(04):
   cmp al, #0x04
+  jne APMSYM(05)
+  jmp APMSYM(ok)
+
+;-----------------
+; APM cpu idle
+APMSYM(05):
+  cmp al, #0x05
   jne APMSYM(07)
+  hlt
   jmp APMSYM(ok)

 ;-----------------

If I remove the 'hlt' the IDE detection does not hang anymore.

The CVS commit message says:
- APM function 0x05 (cpu idle) implemented (tested with Win98)

Obviously, this does not work with the 2.6 Linux kernel Red Hat provides
(I have not tested whether other Linux kernels are also affected).

I am still not sure whether Qemu is at fault or whether Bochs should be
changed, though.

-- 
Frodo Looijaard <frodo@frodo.looijaard.name> (See http://frodo.looijaard.name/)
Defenestration n. (formal or joc.):
  The act of removing Windows from your computer in disgust, usually followed
  by the installation of Linux or some other Unix-like operating system.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>:
Bug#363047; Package qemu. Full text and rfc822 format available.

Acknowledgement sent to Frodo Looijaard <frodo@frodo.looijaard.name>:
Extra info received and forwarded to list. Copy sent to Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 363047@bugs.debian.org (full text, mbox):

From: Frodo Looijaard <frodo@frodo.looijaard.name>
To: 363047@bugs.debian.org
Subject: Problem solved?
Date: Sun, 30 Apr 2006 21:36:12 +0200
It seems that others have encountered this bug too:
  http://lists.gnu.org/archive/html/qemu-devel/2006-04/msg00554.html

I have not tested yet whether this solves it, but it probably will.

-- 
Frodo Looijaard <frodo@frodo.looijaard.name> (See http://frodo.looijaard.name/)
Defenestration n. (formal or joc.):
  The act of removing Windows from your computer in disgust, usually followed
  by the installation of Linux or some other Unix-like operating system.



Reply sent to Aurelien Jarno <aurelien@aurel32.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Frodo Looijaard <frodol@dds.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #35 received at 363047-done@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Frodo Looijaard <frodo@frodo.looijaard.name>
Cc: 363047-done@bugs.debian.org
Subject: Re: Bochs APM Bios
Date: Sun, 16 Mar 2008 17:32:06 +0100
Version: 0.9.1-1

On Fri, Apr 21, 2006 at 01:19:46PM +0200, Frodo Looijaard wrote:
> It seems the problem is introduced between CVS revisions 1.3 and 1.4 of
> apmbios.S in Bochs.
> 

This bug has been fixed revision 1.5 of this file, and in the latest
version of bochsbios on which qemu 0.9.1-1 depends. Marking the bug as
fixed.

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 14 Apr 2008 07:30:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:08:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.